Subject: FW: bidirectionality

From: "Sharon Chisholm" <[email-masked]>
Date: Wed, 2 Mar 2005 14:33:48 -0500

hi

Apologies if this shows up twice, but 4 hours is an unusual lag for the
mailing list and I suspect this message may have gotten lost.

Sharon

-----Original Message-----
From: Chisholm, Sharon [CAR:5K50:EXCH] 
Sent: Wednesday, March 02, 2005 10:35 AM
To: [email-masked]'
Subject: RE: bidirectionality

hi

Deferring to get Netconf 1.0 out the door was the correct decision. I think
now that we are all more familiar with all this we do actually have a much
much better idea how Notifications and other asynchronous messages should be
done. 

Since we seem to want to focus on getting 1.0 out the door for this meeting,
then I would propose that we discuss this in the hallways and aim for an
internet draft after this meeting for discussion in Paris. 

Could we have this discussion on this mailing list or should I set up a list
of private interested parties to not distract from Netconf 1.0?

Sharon

-----Original Message-----
From: Andy Bierman [mailto:[email-masked]] 
Sent: Thursday, March 03, 2005 10:07 AM
To: Cristian Cadar; Faye Ly; Chisholm, Sharon [CAR:5K50:EXCH];
[email-masked]
Subject: RE: bidirectionality

At 01:11 AM 3/2/2005, Cristian Cadar wrote:
>Hi,
>
>Great, is it possible to have a presentation on this issue next week at
>IETF? or would it be better after the IETF to come up with a draft?

We had notifications in the protocol and took them out because there wasn't
agreement on the value vs. complexity, and there was concern about a
protocol that worked very differently over different application transports.

Actually, we agreed to defer the notification work. 
It can be addressed after the NETCONF v1.0 RFCs are out.
IMO, the same issues will come up again, with similar results, unless
somebody has a new approach.

>Thanks
>Cristian

Andy

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] On
>Behalf Of Faye Ly
>Sent: Tuesday, March 01, 2005 10:57 PM
>To: Sharon Chisholm; [email-masked]
>Subject: RE: bidirectionality
>
>Sharon,
>
>Yes, there is interest for this.
>
>-faye
>
>
>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] On
>Behalf Of Sharon Chisholm
>Sent: Tuesday, March 01, 2005 9:24 AM
>To: [email-masked]
>Subject: RE: bidirectionality
>
>hi
>
>This is similar to the asynchronous messaging issue which many people
>have been discussing in the hallways. I've been looking into this 
>offline. There
>is nothing in the specifications that I can tell that precludes this, it
>would just be a matter of defining it. 
>
>The model that seems the most straightforward is for the manager to
>initiate the session, but to send a command that triggers these refresh 
>messages to come from the network element. If there is interest in how 
>to do this, we could create a draft or do a presentation. I believe it 
>is important to get Netconf 1.0 out the door first and then build on 
>top of this though.
>
>Sharon
>
>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] On
>Behalf Of Cristian Cadar
>Sent: Tuesday, March 01, 2005 11:09 AM
>To: Margaret Wasserman; [email-masked]
>Subject: RE: bidirectionality
>
>
>Hi Margaret,
>
>Thanks for the reply, I'm asking this because in my scenario what I
>have to implement, the server has to notify the client in order to 
>"refresh" some specific information through a netconf session. Does it 
>make sense to extend the netconf protocol to allow this? I mean 
>implementing the BEEP protocol just for having bidirectionality it 
>seems for me a little bit burdensome and inconvenient.
>
>Thanks
>Cristian
>
>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] On
>Behalf Of Margaret Wasserman
>Sent: Tuesday, March 01, 2005 4:32 PM
>To: Cristian Cadar; [email-masked]
>Subject: Re: bidirectionality
>
>
>As specified, NETCONF over SSH does not provide bidirectionality. The 
>SSH client is always the NETCONF manager.
>
>Margaret
>
>At 2:56 PM +0100 3/1/05, Cristian Cadar wrote:
>>
>>Hi
>>
>>I would have a question. Is there any possibility for the server to 
>>initiate a netconf session with the client over SSH or this is 
>>manageable only when the BEEP protocol is implemented?
>>
>>Thanks in advance
>>Cristian
>>
>>
>>
>>--
>>to unsubscribe send a message to [email-masked] with the 
>>word 'unsubscribe' in a single line as the message text body.
>>archive: <http://ops.ietf.org/lists/netconf/>
>
>
>--
>to unsubscribe send a message to [email-masked] with the
>word 'unsubscribe' in a single line as the message text body.
>archive: <http://ops.ietf.org/lists/netconf/>
>
>--
>to unsubscribe send a message to [email-masked] with the
>word 'unsubscribe' in a single line as the message text body.
>archive: <http://ops.ietf.org/lists/netconf/>
>
>
>
>
>--
>to unsubscribe send a message to [email-masked] with the
>word 'unsubscribe' in a single line as the message text body.
>archive: <http://ops.ietf.org/lists/netconf/>
>
>--
>to unsubscribe send a message to [email-masked] with the
>word 'unsubscribe' in a single line as the message text body.
>archive: <http://ops.ietf.org/lists/netconf/>
>
>--
>to unsubscribe send a message to [email-masked] with the
>word 'unsubscribe' in a single line as the message text body.
>archive: <http://ops.ietf.org/lists/netconf/>

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>